From: =?utf-8?q?Rapha=C3=ABl_Hertzog?= <hertzog@debian.org>
Date: Mon, 27 Jul 2015 15:31:22 +0200
Subject: Fix makefile for proper LDFLAGS and CPPFLAGS support

---
 Makefile | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile b/Makefile
index 1c3863a..e3ad589 100644
--- a/Makefile
+++ b/Makefile
@@ -51,13 +51,13 @@ uninstall-etc:
 ### MAIN PROGRAM
 
 $(OUTFILE): axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o
-	$(CC) *.o -o $(OUTFILE) $(LFLAGS)
+	$(CC) *.o -o $(OUTFILE) $(LFLAGS) $(LDFLAGS)
 ifndef DEBUG
 	-$(STRIP) $(OUTFILE)
 endif
 
 .c.o:
-	$(CC) -c $*.c -o $*.o -Wall $(CFLAGS)
+	$(CC) -c $*.c -o $*.o -Wall $(CPPFLAGS) $(CFLAGS)
 
 install-bin:
 	mkdir -p $(DESTDIR)$(BINDIR)/
